For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList SIMs
LogoLogo
Request featuresContact support
API ReferenceSim

List SIMs

GET
https://cdn.emnify.net/api/v1/sim
GET
/api/v1/sim
$curl -G https://cdn.emnify.net/api/v1/sim \
> -H "Authorization: Bearer <token>" \
> -d q= \
> -d sort=
200Organization & Child SIMs
1[
2 {
3 "id": 788,
4 "iccid": "7368267364738297736",
5 "eid": "89049011803455664400046832584675",
6 "production_date": "2019-08-01T11:49:46.000+0000",
7 "activation_date": "2019-08-21T18:49:46.000+0000",
8 "status": {
9 "id": 1,
10 "description": "Activated"
11 },
12 "customer_org": {
13 "id": 13,
14 "name": "Enterprise",
15 "country": {
16 "id": 205,
17 "name": "United Kingdom"
18 }
19 },
20 "issuer_org": {
21 "id": 11,
22 "name": "MNO",
23 "country": {
24 "id": 205,
25 "name": "United Kingdom"
26 }
27 },
28 "endpoint": {
29 "id": 1,
30 "name": "arduino01",
31 "imei": null,
32 "imei_with_luhn": null,
33 "created": "2019-03-29T07:26:47.000+0000",
34 "last_updated": "2019-04-19T13:36:37.000+0000",
35 "organisation_id": 13,
36 "service_profile_id": 1,
37 "tariff_profile_id": 1,
38 "tags": null,
39 "ip_address": "10.1.1.9",
40 "ip_address_space_id": 123
41 },
42 "imsi": "123451234567890",
43 "msisdn": "88563748761",
44 "model": {
45 "id": 1,
46 "description": "Java smartcard",
47 "memory_size": 64,
48 "formfactor": {
49 "id": 1,
50 "name": "2FF"
51 },
52 "manufacturer": {
53 "id": 1,
54 "name": "Motorola"
55 }
56 },
57 "iccid_with_luhn": "73682673647382977362",
58 "profile_type": {
59 "id": 1,
60 "description": "UICC"
61 }
62 },
63 {
64 "id": 123456,
65 "iccid": "8988303000123456789",
66 "production_date": "2019-03-02T11:22:29.000+0000",
67 "status": {
68 "id": 1,
69 "description": "Activated"
70 },
71 "customer_org": {
72 "id": 1234,
73 "name": "Example Organization",
74 "country": {
75 "id": 74,
76 "name": "Germany"
77 }
78 },
79 "issuer_org": {
80 "id": 2,
81 "name": "Example Issuer",
82 "country": {
83 "id": 219,
84 "name": "NonTerrestrial 883"
85 }
86 },
87 "endpoint": {
88 "id": 12345,
89 "name": "my endpoint",
90 "imei": null,
91 "imei_with_luhn": null,
92 "created": "2019-12-11T10:37:34.000+0000",
93 "last_updated": "2019-12-11T10:37:34.000+0000",
94 "organisation_id": 1234,
95 "service_profile_id": 12345,
96 "tariff_profile_id": 12345,
97 "tags": null,
98 "ip_address": "10.1.1.1",
99 "ip_address_space_id": 123
100 },
101 "imsi": "123456789123456",
102 "msisdn": "12345678912",
103 "model": {
104 "id": 8,
105 "description": "Classic",
106 "memory_size": 64,
107 "formfactor": {
108 "id": 6,
109 "name": "1/2/3FF (3in1)"
110 },
111 "manufacturer": {
112 "id": 5,
113 "name": "Oberthur"
114 }
115 },
116 "iccid_with_luhn": "89883030001234567890",
117 "profile_type": {
118 "id": 2,
119 "description": "M2M eSim Profile"
120 }
121 },
122 {
123 "id": 123457,
124 "iccid": "1234512345000001234",
125 "eid": "89049011803455664400011562584675",
126 "production_date": "2019-03-02T11:22:29.000+0000",
127 "status": {
128 "id": 1,
129 "description": "Activated"
130 },
131 "customer_org": {
132 "id": 1234,
133 "name": "Example Organization",
134 "country": {
135 "id": 74,
136 "name": "Germany"
137 }
138 },
139 "issuer_org": {
140 "id": 2,
141 "name": "Example Issuer",
142 "country": {
143 "id": 219,
144 "name": "NonTerrestrial 883"
145 }
146 },
147 "endpoint": {
148 "id": 12345,
149 "name": "endpoint 2",
150 "imei": null,
151 "imei_with_luhn": null,
152 "created": "2019-12-11T10:37:34.000+0000",
153 "last_updated": "2019-12-11T10:37:34.000+0000",
154 "organisation_id": 1234,
155 "service_profile_id": 12345,
156 "tariff_profile_id": 12345,
157 "tags": null,
158 "ip_address": "10.1.1.2",
159 "ip_address_space_id": 123
160 },
161 "imsi": "123456789123456",
162 "msisdn": "12345678912",
163 "model": {
164 "id": 8,
165 "description": "Classic",
166 "memory_size": 64,
167 "formfactor": {
168 "id": 6,
169 "name": "1/2/3FF (3in1)"
170 },
171 "manufacturer": {
172 "id": 5,
173 "name": "Oberthur"
174 }
175 },
176 "iccid_with_luhn": "12345123450000012341",
177 "profile_type": {
178 "id": 3,
179 "description": "Consumer eSIM Profile"
180 }
181 }
182]
Returns a list of SIMs filtered, sorted, and paged according to query parameters.
Was this page helpful?
Previous

Update default DNS config for an organization

Next

List IMSIs

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Query parameters

qstringOptionalformat: "(id|issuer_org|reseller_org|customer_org|iccid|iccid_with_luhn|status|production_date|imsi|msisdn|endpoint|model|eid)\:.+"
Filter parameter in `<field>:<criteria>` format. Expects a comma-separated list from the allowed fields: - `id` - `issuer_org` - `reseller_org` - `customer_org` - `iccid` - `iccid_with_luhn` - `status` - `production_date` - `imsi` - `msisdn` - `endpoint` - `model` - `eid` - `satellite_capable`
sortstringOptionalformat: "(^-?(id|issuer_org|reseller_org|customer_org|iccid|eid|status|production_date|endpoint|model)),?"
Sort parameter in `<operator><field>` format. Sort properties according to a comma-separated list from the allowed fields: - `id` - `issuer_org` - `reseller_org` - `customer_org` - `iccid` - `eid` - `status` - `production_date` - `endpoint` - `model` If no sorting options are specified, the response will be sorted by `id`. Supported operators: - `-`: Descending order - `+`: Ascending order The response will be shown in ascending order if no operator is specified.
pageintegerOptional
Current page number
per_pageintegerOptional1-2500Defaults to 2000

Defines the number of items per page (max. 2500)

Response headers

Linkstring
Navigational link URLs to retrieve the first, previous, next, and last page in a dataset.
X-Count-Per-Pageinteger

Number of items to show per page requested via the per_page parameter.

X-Current-Pageinteger
Current page number within the current data set.
X-Total-Countinteger
Total element count in the current data set.
X-Total-Pagesinteger
Total page count in the current data set.
X-Filterstring

Returns the relevant values if filtering is applied using ?q=field:criteria query parameter.

X-Sortstring

Returns the sorted data set if sorting is applied using ?sort=field query parameter.

Response

Successfully returned a list of SIMs.
idinteger
iccidstring
eidstring
production_datestringformat: "date-time"
activation_datestringformat: "date-time"
statusobject
customer_orgobject
issuer_orgobject
reseller_orgobject
endpointobject
imsistring
msisdnstring
modelobject

Filter parameter in <field>:<criteria> format. Expects a comma-separated list from the allowed fields:

  • id
  • issuer_org
  • reseller_org
  • customer_org
  • iccid
  • iccid_with_luhn
  • status
  • production_date
  • imsi
  • msisdn
  • endpoint
  • model
  • eid
  • satellite_capable

Sort parameter in <operator><field> format. Sort properties according to a comma-separated list from the allowed fields:

  • id
  • issuer_org
  • reseller_org
  • customer_org
  • iccid
  • eid
  • status
  • production_date
  • endpoint
  • model

If no sorting options are specified, the response will be sorted by id.

Supported operators:

  • -: Descending order
  • +: Ascending order

The response will be shown in ascending order if no operator is specified.